<?xml version="1.0"?>


<!DOCTYPE rdf:RDF [
    <!ENTITY owl "http://www.w3.org/2002/07/owl#" >
    <!ENTITY xsd "http://www.w3.org/2001/XMLSchema#" >
    <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#" >
    <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#" >
]>


<rdf:RDF xmlns="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#"
     xml:base="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl"
     xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
     xmlns:owl="http://www.w3.org/2002/07/owl#"
     xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
     xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#">
    <owl:Ontology rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl">
        <owl:imports rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl"/>
    </owl:Ontology>
    


    <!-- 
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Object Properties
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->

    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#hasId -->

    <owl:ObjectProperty rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#hasId">
        <rdfs:range rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Identifier"/>
        <rdfs:domain rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Subject"/>
        <rdfs:subPropertyOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
    </owl:ObjectProperty>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#hasRole -->

    <owl:ObjectProperty rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#hasRole">
        <rdfs:range rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnyRole"/>
        <rdfs:domain rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Subject"/>
        <rdfs:subPropertyOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
    </owl:ObjectProperty>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#hasType -->

    <owl:ObjectProperty rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#hasType">
        <rdfs:domain rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
        <rdfs:range rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#DataType"/>
        <rdfs:subPropertyOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
    </owl:ObjectProperty>
    


    <!-- 
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Classes
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->

    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnalyticsResult -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnalyticsResult">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnonymiseByExponentialMechanism -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnonymiseByExponentialMechanism">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>SourceAddress,DestinationAddress</rdfs:isDefinedBy>
        <rdfs:seeAlso>MEDIAN_HIGH,MEDIAN_MEDIUM,MEDIAN_LOW</rdfs:seeAlso>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnonymiseByGeoIndistinguishability -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnonymiseByGeoIndistinguishability">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>SourceAddress,DestinationAddress</rdfs:isDefinedBy>
        <rdfs:seeAlso>GEO_HIGH,GEO_MEDIUM,GEO_LOW</rdfs:seeAlso>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnonymiseByPerturbation -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnonymiseByPerturbation">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:seeAlso>LAPLACE_HIGH,LAPLACE_MEDIUM,LAPLACE_LOW</rdfs:seeAlso>
        <rdfs:isDefinedBy>SourceAddress,DestinationAddress</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnonymiseByRandomization -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnonymiseByRandomization">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:seeAlso>NETMASK_FULL,NETMASK_HIGH,NETMASK_MEDIUM,NETMASK_LOW</rdfs:seeAlso>
        <rdfs:isDefinedBy>SourceAddress,DestinationAddress</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnonymiseBySuppression -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnonymiseBySuppression">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>SourceAddress,DestinationAddress</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnonymizeByDelimiter -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnonymizeByDelimiter">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:seeAlso>SUBSTRING_HIGH,SUBSTRING_MEDIUM,SUBSTRING_LOW</rdfs:seeAlso>
        <rdfs:isDefinedBy>SourceAddress,DestinationAddress</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnyRole -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnyRole">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Consumer -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Consumer">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Create -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Create">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#DataType -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#DataType">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#DatabaseRecord -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#DatabaseRecord">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Delete -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Delete">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Email -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Email">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#EncryptFHE -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#EncryptFHE">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>Param1,Param2,Param3</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#EncryptKreyvium -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#EncryptKreyvium">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>Param1,Param2,Param3</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Filter -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Filter">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>Column1,Column2,Column3</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Identifier -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Identifier">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Term"/>
        <rdfs:isDefinedBy>User</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Log -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Log">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Producer -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Producer">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Read -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Read">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Subject -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Subject">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#System -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#System">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#findMalwareOutbreak -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#findMalwareOutbreak">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#knnClassify -->

    <owl:Class rdf:about="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#knnClassify">
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:8080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:8080/vocabularies/c3isp_vocabulary_2.0.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
</rdf:RDF>



<!-- Generated by the OWL API (version 3.5.1) http://owlapi.sourceforge.net -->

